| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGraphics3DCaps Struct Reference

Information about 3d renderer capabilities. More...

`#include <ivideo/graph3d.h>`

List of all members.

## Public Attributes
bool | DestinationAlpha
| Mixmodes utilizing destination alpha are properly supported.
int | maxTexHeight
| Maximum texture dimensions.
int | maxTexWidth
int | minTexHeight
| Minimum texture dimensions.
int | minTexWidth
bool | StencilShadows
| Enough stencil bits for stencil shadows are available.
bool | SupportsPointSprites
| Whether point sprites are supported.

## Detailed Description

Information about 3d renderer capabilities.

Definition at line 506 of file graph3d.h.

## Member Data Documentation

bool csGraphics3DCaps::DestinationAlpha

Mixmodes utilizing destination alpha are properly supported.

Definition at line 520 of file graph3d.h.

int csGraphics3DCaps::maxTexHeight

Maximum texture dimensions.

Definition at line 511 of file graph3d.h.

int csGraphics3DCaps::minTexHeight

Minimum texture dimensions.

Definition at line 509 of file graph3d.h.

bool csGraphics3DCaps::StencilShadows

Enough stencil bits for stencil shadows are available.

Definition at line 524 of file graph3d.h.

bool csGraphics3DCaps::SupportsPointSprites

Whether point sprites are supported.

If true, geometry of the type CS_MESHTYPE_POINT_SPRITES can be drawn.

Definition at line 516 of file graph3d.h.

The documentation for this struct was generated from the following file:

- ivideo/graph3d.h